AUGI AEC EDGE Magazine is THE Expert Resource for BIM and Revit

Do you want to deliver your projects faster and more efficiently? Then you need to read AUGI AEC Edge. It is jam packed full of industry best practices, best of class Autodesk Revit advice, and case studies and white papers from industry experts.

AUGI AEC Edge is a brand new publication dedicated to delivering mission-critical information to Architects, Engineers, Designers, and Contractors using Autodesk AEC products.

The image above is a screen capture from the AUGI AEC EDGE microsite. Check it out and download your copy today.

Legacy VBA Error – For next loop may really mean If end if.

I was updating some legacy VBA code today and had to add some additional logic to a function. When I click the run button, I was faced with this dialog box
A quick check of the code indicates that there IS a closing “NEXT” statement for the “For Each…” loop. When this happens to you, check any “If….” logic constructs within the “For … Next” loop. Chances are you’ll find a missing “End if” statement.

Block Insertion Swap Routine for AutoCAD

I was asked today if I knew of a way to swap out a single block for another block? I knew that the Express tools could do this, but a global block redefinition was not what we were looking for.So I did a quick search in the AUGI lisp forums and found a routine posted by Miff that was close to doing what I needed. In reviewing the routine, I realized that it would be nice to allow single or multiple selection. I modified the routine slightly to remove the SSGET modifier for single selection (ssget “_:S”) resulting in this code:

(if (and (setq ss (ssget ":S" '((0 . "INSERT"))))
becoming this code:

(if (and (setq ss (ssget '((0 . "INSERT"))))

Since I wanted all the staff to be able to utilize this routine, I added an autoloader to the company standard acaddoc.lsp file and placed the newly named “blkswap.lsp” file out in the network applications folder:

(autoload "blkswap" '("blkswap"))

You’re welcome to download my modified version here:blkswap.lsp
Or grab Miff’s original from the AUGI forums.
Thanks Miff!
Thanks to AUGI as well for providing such a fantastic resource.

Here is a short video detailing how to use the routine once it is available via autoload.

blkswap gif
How to Use BlkSwap

Facebook landgrab in full swing – have you got yours?

Just made my landgrab. Did you get your facebook landing page? Now anyone can visit my facebook page using this url: http://www.facebook.com/richard.binning

Apparently, facebook granted me two names cause http://www.facebook.com/richardbinning also works!

Want to get yours? Visit this link: http://www.facebook.com/username/ and claim yours today!

I read about this on techcrunch.

Revit Tip – Fillet with Radius

New Revit users are constantly tripped up by the ghost of AutoCAD past! It may seem logical to think that the fillet with radius command would be an editing tool in any software package. After all, the default Trim tool in Revit does a Fillet Corner for pete’s sake! Rather than delete the wall and draw a new one with the “Radius” option toggled on, try this:

  1. Right-Click one of your walls and choose “Create Similar” to launch the Wall tool using the correct family.
  2. Click your Sketch Options pull down and pick “Fillet Arc” and then immediately pick your two walls.
  3. Now graphically stretch the arc into size.

You could toggle on the Radius option, but why not draw and then modify? It’s all about iteration after all!

Revit Workflow in 3 Easy Steps – Think 3

Think 3. The workflow is clockwise within the Revit editor, no matter what flavor you are using.

ONE (1) – You begin by selecting your tool from the design bar on the far left of Revit’s screen. Various palettes are available containing context sensitive tools for use.

TWO (2) – Once you’ve selected your tool, move your eyes and your mouse to the top of the Revit screen and select/modify the options available in the options bar. You can drill down using the element properties button if necessary, but most of the general properties are available within the options bar itself as shown below.

THREE (3) – Third and final step is to place the element within the design window using the options selected in the previous step.

Note: Some elements like slabs and roofs, require you to complete your sketch within the drawing window and then complete the sketch by picking on the design bar. This is another reason why the workflow resembles a circle drawn clockwise.

Want to learn more? Visit AUGI.com and take an ATP course.